package websocket

import (
	"net"
	"time"
)

type MockConn struct{}

func (c *MockConn) Read(b []byte) (n int, err error)   { return 0, nil }
func (c *MockConn) Write(b []byte) (n int, err error)  { return 0, nil }
func (c *MockConn) Close() error                       { return nil }
func (c *MockConn) LocalAddr() net.Addr                { return &net.IPAddr{} }
func (c *MockConn) RemoteAddr() net.Addr               { return &net.IPAddr{} }
func (c *MockConn) SetDeadline(t time.Time) error      { return nil }
func (c *MockConn) SetReadDeadline(t time.Time) error  { return nil }
func (c *MockConn) SetWriteDeadline(t time.Time) error { return nil }
